commit:     08e6fc13276afb27c5a4ecf28d4216556fef47b4
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  6 21:34:50 2020 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jun  6 22:21:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08e6fc13

dev-python/scikit-build: Bump to 0.11.1 supporting py3.8

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 dev-python/scikit-build/Manifest                   |  1 +
 dev-python/scikit-build/scikit-build-0.11.1.ebuild | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/scikit-build/Manifest b/dev-python/scikit-build/Manifest
index dcc86e2bd4e..5fd3b96b515 100644
--- a/dev-python/scikit-build/Manifest
+++ b/dev-python/scikit-build/Manifest
@@ -1 +1,2 @@
 DIST scikit-build-0.10.0.tar.gz 132443 BLAKE2B 
7e817b1b6d8ea5e663cec59c5ed51b3f58318eedf6587380eb2a1458bac772a5a02a936015027f1200f740884ba33512babb1aadc4cdbb59ea38f46bc36cbb5f
 SHA512 
cbdc59a41c60c162be84b38d207838d5e38898871f2ef02dcb672796f01f7a31645892770172e9891a4dd7aa02a85dd489b6dede4c5f717ab013dd8947d5d314
+DIST scikit-build-0.11.1.tar.gz 132025 BLAKE2B 
0f818d8da896695ee0d6b046249e74cbd4ea643bec0515d6ac6ff4276d92430a1dbf81abb3b7c10890538c373225a45cc21b0906de891f1a5390226be914dacd
 SHA512 
030c6cc727d39cbafd2865722de9c45ba2f13461461cf75019b9caf6afd0a776b4f598fa2ce102b5adbc770140ab1de2c33e2bbd3ef03c958ae8849e5fc26cb4

diff --git a/dev-python/scikit-build/scikit-build-0.11.1.ebuild 
b/dev-python/scikit-build/scikit-build-0.11.1.ebuild
new file mode 100644
index 00000000000..334675dcd53
--- /dev/null
+++ b/dev-python/scikit-build/scikit-build-0.11.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Improved build system generator for Python C/C++/Fortran/Cython 
extensions"
+HOMEPAGE="https://github.com/scikit-build/scikit-build";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/distro[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       dev-python/wheel[${PYTHON_USEDEP}]"
+
+DEPEND="test? (
+       dev-python/coverage[${PYTHON_USEDEP}]
+       dev-python/cython[${PYTHON_USEDEP}]
+       dev-python/flake8[${PYTHON_USEDEP}]
+       dev-python/path-py[${PYTHON_USEDEP}]
+       dev-python/pytest-mock[${PYTHON_USEDEP}]
+       dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+       dev-python/PyQt5[testlib,${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/virtualenv[${PYTHON_USEDEP}] )"
+
+PATCHES=( "${FILESDIR}/${PN}-0.10.0-docs.patch" )
+
+distutils_enable_sphinx docs dev-python/sphinx_rtd_theme 
dev-python/sphinx-issues
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # Skip tests causing sandbox violations
+       rm \
+               tests/test_hello_cpp.py \
+               tests/test_issue274_support_default_package_dir.py \
+               tests/test_issue274_support_one_package_without_package_dir.py \
+               tests/test_issue284_build_ext_inplace.py \
+               tests/test_issue334_configure_cmakelists_non_cp1252_encoding.py 
\
+               || die
+       distutils-r1_python_prepare_all
+}

Reply via email to